<?php
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

/*--------------------------------------------+
| PHP-Fusion 6 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2007 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
/*--------------------------------------------+
|     Maxitron Theme for PHP-Fusion v6+       |
|---------------------------------------------|
| author: Fuzed Themes - Shedrock  2006/7    |
| web: http://phpfusion-themes.com            |
| email: webmaster@phpfusion-thems.com        |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/

// theme settings
$body_text = "#555555";
$body_bg = "#F8F7F5";
$theme_width = "100%";
$theme_width_l = "180";
$theme_width_r = "180";

// Right Panels off in Forum Mode - Custom coded
$theme_panels_exclude = array("/forum/");

function render_header($header_content) {
global $theme_width, $settings;

$cookieval = "";
if (isset($_COOKIE['Maxitron_Theme'])) {
   $cookie = explode("&",$_COOKIE['Maxitron_Theme']);
   for ($i = 0;$i < sizeof($cookie);$i++) {
      $cookie2 = explode(":",$cookie[$i]);
      if ($cookie2[0] == "hideleft" || $cookie2[0] == "hideright") {
         $cookieval .= ",".$cookie2[0].":'".($cookie2[1] == 'off' ? 'off' : 'on')."'";
      }
   }
}

echo "<script language='javascript' src='".THEME."maxitron.js' type='text/javascript'></script>\n";
 
echo "<div align='center' display: block; width: 930px;><div class='innerHeader'>
		<div class='innerHeader'>
		<img src='".THEME."images/gimzeta.png' alt='logo'></div>
	</div>
</div>
  <!-- nav -->
	<div class='navPanel'>
		<div class='innerNavPanel'>
			<div class='buttons'>".showsublinks("","white")."
	<div id='Clock' class='label'><script language='javascript' type='text/javascript'>Maxitron.tick();</script>
			</div>
		</div>
	</div>
</div>  
<div class='shadowStrip'>&nbsp;</div>\n";
echo "<table bgcolor='#F8F7F5' cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
}

function render_footer($license=false) {

global $theme_width,$settings;

echo "</tr>\n</table>\n";
echo "<table border='0' cellpadding='0' cellspacing='0' width='100%' class='footer'>
	<tr>
		<td align='center' width='100%'>".stripslashes($settings['footer'])."<br>\n";
if (!$license) { echo showcopyright("")."<br><br>\n"; }

echo "</td>
	</tr>
	<tr>
		<td align='center' width='100%'>".showcounter()." - Maxitron by: <a target='_blank' href='http://phpfusion-themes.com'>Fuzed Themes</a></td>
	</tr>
</table>\n";
}

function render_news($subject, $news, $info) {
$subject = strip_tags($subject);

echo "<table cellpadding='0' cellspacing='1' width='100%' class='border'>
	<tr>
		<td class='news_articles'>$subject</td>
	</tr>
	<tr>
		<td class='main-body'>$news</td>
	</tr>
	<tr>
		<td align='center' class='news-footer'>\n";
echo openform("N",$info['news_id']).newsposter($info,"&middot;").newsopts($info,"&middot;").closeform("N",$info['news_id']);
echo "</td>
	</tr>
</table>\n";
}

function render_article($subject, $article, $info) {
	
echo "<table width='100%' cellpadding='0' cellspacing='1' class='border'>
	<tr>
		<td class='news_articles'>$subject</td>
	</tr>
	<tr>
		<td class='main-body'>
			".($info['article_breaks'] == "y" ? nl2br($article) : $article)."
		</td>
	</tr>
	<tr>
		<td align='center' class='news-footer'>\n";
echo openform("A",$info['article_id']).articleposter($info,"&middot;").articleopts($info,"&middot;").closeform("A",$info['article_id']);
echo "</td>
	</tr>
</table>\n";
}

function opentable($title) {

echo "<table cellpadding='0' cellspacing='1' width='100%' class='border'>
	<tr>
		<td class='p_title'>$title</td>
	</tr>
	<tr>
		<td class='main-body'>\n";
}

function closetable() {

echo "</td>
	</tr>
</table>\n";
tablebreak();
}

function openside($title) {
	
echo "<table cellpadding='0' cellspacing='0' width='100%' class='border'>
	<tr>
		<td class='p_title'>$title</td>
	</tr>
	<tr>
		<td class='side-body'>\n";
}

function closeside() {

echo "</td>
	</tr>
</table>\n";
tablebreak();
}

function opensidex($title,$state="on") {

$boxname = str_replace(" ", "", $title);

echo "<table cellpadding='0' cellspacing='0' width='100%' class='border'>
	<tr>
		<td width='100%' class='p_title'>$title</td>
		<td class='p_title_box' align='center'>".panelbutton($state,$boxname)."</td>
	</tr>
	<tr>
		<td colspan='2' class='side-body'>
			<div id='box_$boxname'".($state=="off"?" style='display:none'":"").">\n";
}

function closesidex() {

echo "</div>
		</td>
	</tr>
</table>\n";
tablebreak();
}

function tablebreak() {

echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n<td height='8'></td>\n</tr>\n</table>\n";
}
?>
